## org.apache.fop.layout.hyphenation
Class TernaryTree.Iterator

    java.lang.Object
      |
      +--org.apache.fop.layout.hyphenation.TernaryTree.Iterator

Enclosing class:
  TernaryTree

public class TernaryTree.Iterator
extends java.lang.Object
implements java.util.Enumeration

Constructor Summary
`TernaryTree.Iterator()`

Method Summary
`char` `getValue()`
`boolean` `hasMoreElements()`
`java.lang.Object` `nextElement()`
`void` `rewind()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TernaryTree.Iterator

    public TernaryTree.Iterator()

Method Detail

### rewind

    public void rewind()

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    nextElement in interface java.util.Enumeration

### getValue

    public char getValue()

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    hasMoreElements in interface java.util.Enumeration

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.